## parcimonie 0.11.0

=== po/Makefile ===
# Makefile for various po files.

srcdir = .
destdir = $(DESTDIR)$(PREFIX)

#CATALOGS = $(addsuffix .po, LINGUAS)
CATALOGS = $(LINGUAS)
MO_FILES = $(addsuffix .mo, $(LINGUAS))

MSGMERGE = msgmerge
MSGFMT   = msgfmt
XGETTEXT = xgettext
CATOBJEXT = .po

include PACKAGE

TD = $(strip $(TEXTDOMAIN))

default: help

all: $(TD).pot update-po update-mo

help:
	@echo "Available targets:"
	@echo "  pot                       - remake master catalog"
	@echo "  update-po                 - merge po files"
	@echo "  update-mo                 - regenerate mo files"
	@echo "  install                   - install mo files"
	@echo "  all			   - all of the above"

POTFILES = $(srcdir)/POTFILES.in \
	$(shell cat $(srcdir)/POTFILES.in) 

pot: $(TD).pot 

clean:
	rm -f *~ *.bak *.mo

# FIXME: The parameter --from-code is only needed if your sources contain
# any 8 bit data (even in comments).  UTF-8 is only a guess here, but it
# will at least accept any 8 bit data.
#
# The parameter "--language=perl" is not strictly needed because the
# source language of all our files will be auto-detected by xgettext
# by their filename extension.  You should even avoid this parameter
# if you want to extract strings from multiple source languages.
$(TD).pot: $(POTFILES)
	$(XGETTEXT) --output=$(srcdir)/$(TD).pox --from-code=utf-8 \
		--add-comments=TRANSLATORS: --files-from=$(srcdir)/POTFILES.in \
		--copyright-holder="$(COPYRIGHT_HOLDER)" \
		--msgid-bugs-address="$(MSGID_BUGS_ADDRESS)" \
		--language=perl && \
	rm -f $@ && mv $(TD).pox $@

install: $(MO_FILES)
	cd $(srcdir); \
	targetdir='$(destdir)/share/locale'; \
	languages='$(LINGUAS)'; \
	for lang in $$languages; do \
		mkdir -p "$$targetdir/$$lang/LC_MESSAGES" || exit 1; \
		dest="$$targetdir/$$lang/LC_MESSAGES/$(TD).mo"; \
		cat="$$lang.mo"; \
		echo "installing $$cat as $$dest"; \
		cp -f $$cat $$dest && chmod 644 $$dest || exit 1; \
	done

update-mo: $(MO_FILES)

update-po:
	$(MAKE) $(TD).pot
	cd $(srcdir); \
        catalogs='$(CATALOGS)'; \
        for cat in $$catalogs; do \
          cat=`basename $$cat`; \
          lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
          mv $$lang.po $$lang.old.po; \
          echo "$$lang:"; \
          if $(MSGMERGE) $$lang.old.po $(TD).pot -o $$lang.po; then \
            rm -f $$lang.old.po; \
          else \
            echo "msgmerge for $$cat failed!"; \
            rm -f $$lang.po; \
            mv $$lang.old.po $$lang.po; \
          fi; \
        done

.SUFFIXES:
.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) --check --statistics --verbose -o $@ $<

## parcimonie 0.6

=== debian/changelog ===
parcimonie (0.6-2) unstable; urgency=low

  * Fix my name.
  * Add Lintian overrides for false positives.
  * Set my email address to my shiny new @debian.org one.
  * Update specification URL in debian/copyright.
  * Bump Standards-Version to 3.9.3, no change required.
  * New patch (cherry-picked from upstream Git):
    0001-Testsuite-use-pool.sks-keyservers.net-instead-of-key.patch
    (Closes: #662595)

 -- intrigeri <intrigeri@debian.org>  Mon, 05 Mar 2012 17:59:43 +0100

parcimonie (0.6-1) unstable; urgency=low

  * Imported Upstream version 0.6:
    - Don't send NEWNYM nor talk to the Tor control port/socket anymore:
      sleeping long enough for the previously used Tor circuit to expire
      (MaxCircuitDirtiness) is enough.
    - Drastic memory savings:
        · 75% (RSS) for the parcimonie daemon (58MB -> 15MB)
        · 50% (RSS) for the parcimonie applet (54MB -> 28MB)
    - Add an About dialog to the applet.
  * Add missing {Build-,}dependency on liblocale-gettext-perl. (Closes: #642732)
  * Update dependencies for 0.6.

 -- Intri Geri <intrigeri+debian@boum.org>  Tue, 04 Oct 2011 19:59:10 +0200

parcimonie (0.5.2-1) unstable; urgency=low

  * Imported Upstream version 0.5.2:
    - Look up keys using the full fingerprint, instead of long key ID.
      (Closes: #637018)
    - Make it clear the torrc settings depend on the Tor version.
      (Closes: #636942)
    - Update keyserver configuration instructions.
    - Set strict permissions on GnuPG test home directories.
  * Update build-dependency: needs Module::Build, not Module::Install.
  * Drop obsolete patch:
    0001-Set-strict-permissions-on-GnuPG-test-home-directorie.patch

 -- Intri Geri <intrigeri+debian@boum.org>  Sat, 20 Aug 2011 17:15:28 +0200

parcimonie (0.5.1-3) unstable; urgency=low

  * Cherry-pick test suite bugfix from upstream Git.
  * Remove useless signature lines.
  * Initial release. (Closes: #636036)

 -- Intri Geri <intrigeri+debian@boum.org>  Sat, 30 Jul 2011 17:10:27 +0200

parcimonie (0.5.1-2) unstable; urgency=low

  * Use my Debian email address.
  * Remove now useless lintian override.

 -- Intri Geri <intrigeri+debian@boum.org>  Sat, 30 Jul 2011 14:36:44 +0200

parcimonie (0.5.1-1) unstable; urgency=low

  * Imported Upstream version 0.5.1
    - Use new Debian default location for ControlSocket and CookieAuthFile.
    - Document how Tor shall be configured.
  * Recommend tor.
  * Improve long package description.
  * Add lintian override for maintainer-not-full-name.

 -- intrigeri <intrigeri+debian@boum.org>  Fri, 29 Jul 2011 15:17:24 +0200

parcimonie (0.5-1) unstable; urgency=low

  * Import Upstream version 0.5:
    - Really fix the ever-growing gpg command-line bug.
    - Add a --gnupg-already-torified daemon option.
    - Document how hkpms:// can be used with parcimonie.
    - Filter out libtorsocks error messages.
  * Add new dependency on libclone-perl.

 -- Ben Voui <intrigeri@boum.org>  Mon, 25 Jul 2011 18:02:57 +0200

parcimonie (0.4-1) unstable; urgency=low

  * Imported Upstream version 0.4:
    - Bugfix: gpg command-line was infinitely growing.
    - Bugfix: HasEncoding role now works on Squeeze.
    - Support password and null Tor authentication methods.
    - Support connecting to Tor over the shiny new ControlSocket.
    - Applet: add a log viewer window.
    - Run "torsocks gpg" using exec.

 -- Ben Voui <intrigeri@boum.org>  Sun, 24 Jul 2011 16:59:36 +0200

parcimonie (0.3.3-1) unstable; urgency=low

  * Imported Upstream version 0.3.3
  * Install compiled locales where they belong.
  * Compile parcimonie-torified-gpg(1) from Markdown at build time.
  * Add missing build-dep on libfile-sharedir-perl.
  * Remove obsolete build-dependency on libmoosex-nonmoose-perl.
  * Run the testsuite with a fake X server, thanks to xvfb.
  * Fix debian/watch.
  * Fix homepage URL in debian/copyright.

 -- Ben Voui <intrigeri@boum.org>  Fri, 22 Jul 2011 14:20:18 +0200

parcimonie (0.3.2-1~1.gbp7c8480) UNRELEASED; urgency=low

  ** SNAPSHOT build @7c8480d1598486b63431cdb1d420e0231f281648 **

  * Imported Upstream version 0.3.2
  * Set empty DISPLAY before running the testsuite.
  * Bump debhelper compatibility level to v8.
  * Update dependencies and copyright information.
  * Update debian/rules wrt. new location of .desktop files.
  * Remove useless directory in override_dh_auto_install.

 -- Ben Voui <intrigeri@boum.org>  Mon, 18 Jul 2011 18:19:16 +0200

parcimonie (0.3.1-1~1.gbpe37352) UNRELEASED; urgency=low

  ** SNAPSHOT build @e37352c63f4332ab0b05a35cbd5eab64318cb235 **

  * New upstream release.
  * Auto-start the applet with X sessions.
  * Switch to 3.0 (quilt) source format.
  * Fix gbp.conf, again.
  * Refresh dependencies.

 -- intrigeri <intrigeri@boum.org>  Fri, 24 Jun 2011 14:13:30 +0200

parcimonie (0.3-1~1.gbp129eff) UNRELEASED; urgency=low

  ** SNAPSHOT build @129eff56c2bd29321785322c0da67195b97f37f0 **

  * New upstream release.
    - Daemon: use D-Bus main loop to handle the key fetch timing, send D-Bus
      signals before and after fetching a key.
    - Add a desktop systray applet.
    - Keep a in-memory buffer of max 1000 key fetch attempts result.
    - Validate more user-provided options.
    - Many cleanups and small improvements.
  * Fix gbp.conf.
  * Enable pristine-tar.
  * Update README.source to match the current packaging workflow.
  * Recommend gnupg-curl so that a hkps:// keyserver can be used.
  * Document the recommended packages in README.Debian.

 -- intrigeri <intrigeri@boum.org>  Fri, 24 Jun 2011 00:04:39 +0200

parcimonie (0.2-1) unstable; urgency=low

  * New upstream release.
  * Automatically start parcimonie via XDG autostart.

 -- Ben Voui <intrigeri@boum.org>  Sat, 12 Feb 2011 18:15:18 +0100

parcimonie (0.01-1) unstable; urgency=low

  * Initial Release.

 -- Ben Voui <intrigeri@boum.org>  Sun, 26 Dec 2010 00:56:37 +0100

=== debian/control ===
Source: parcimonie
Section: perl
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep:
 gettext,
 libany-moose-perl (>= 0.13),
 libclone-perl (>= 0.31),
 libconfig-general-perl (>= 2.48),
 libfile-homedir-perl (>= 0.86),
 libfile-sharedir-perl (>= 1.00),
 libfile-spec-perl (>= 3.3100),
 libfile-which-perl (>= 1.08),
 libglib-perl (>= 1.223),
 libgnupg-interface-perl (>= 0.42),
 libgtk2-perl (>= 1.223),
 liblist-moreutils-perl,
 liblocale-gettext-perl,
 liblwp-online-perl,
 libmodule-build-perl (>= 0.360700-1~),
 libmouse-perl (>= 0.82),
 libmousex-getopt-perl (>= 0.33),
 libmousex-types-path-class-perl (>= 0.06),
 libmousex-types-perl (>= 0.05),
 libnamespace-autoclean-perl (>= 0.09),
 libnet-dbus-perl (>= 0.33.6),
 libnet-dbus-glib-perl (>= 0.33.0),
 libpango-perl (>= 1.221),
 libpath-class-perl (>= 0.19),
 libtest-most-perl,
 libtest-trap-perl (>= 0.2.1),
 libtie-cache-perl (>= 0.17),
 libtime-duration-parse-perl (>= 0.06),
 libtry-tiny-perl (>= 0.04),
 pandoc,
 perl (>= 5.10.1),
 perl-modules (>= 5.10.1),
 torsocks,
 xauth,
 xvfb
Maintainer: intrigeri <intrigeri@debian.org>
Homepage: https://gaffer.ptitcanardnoir.org/intrigeri/code/parcimonie/
Vcs-Git: git://gaffer.ptitcanardnoir.org/App-Parcimonie.git

Package: parcimonie
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libany-moose-perl (>= 0.13),
 libclone-perl (>= 0.31),
 libconfig-general-perl (>= 2.48),
 libfile-homedir-perl (>= 0.86),
 libfile-spec-perl (>= 3.3100),
 libfile-which-perl (>= 1.08),
 libglib-perl (>= 1.223),
 libgnupg-interface-perl (>= 0.42),
 libgtk2-perl (>= 1.223),
 liblist-moreutils-perl,
 liblocale-gettext-perl,
 libmouse-perl (>= 0.82),
 libmousex-getopt-perl (>= 0.33),
 libmousex-types-path-class-perl (>= 0.06),
 libmousex-types-perl (>= 0.05),
 libnamespace-autoclean-perl (>= 0.09),
 libnet-dbus-perl (>= 0.33.6),
 libnet-dbus-glib-perl (>= 0.33.0),
 libpango-perl (>= 1.221),
 libpath-class-perl (>= 0.19),
 libtie-cache-perl (>= 0.17),
 libtime-duration-parse-perl (>= 0.06),
 libtry-tiny-perl (>= 0.04),
 perl (>= 5.10.1),
 perl-modules (>= 5.10.1),
 torsocks
Recommends:
 gnupg-curl,
 tor
Description: privacy-friendly helper to refresh a GnuPG keyring
 parcimonie is a daemon that slowly refreshes a GnuPG public keyring
 from a keyserver.
 .
 Its refreshes one key at a time; between every key update parcimonie:
   - sleeps a mostly random amount of time
   - asks Tor to change circuits.
 .
 This process is meant to make it hard for an attacker to correlate the
 multiple performed key update operations.
 .
 See the included design document to learn more about the threat and
 risk models parcimonie attempts to help coping with.

## parcimonie 0.7

=== debian/changelog ===
parcimonie (0.7-1) unstable; urgency=low

  * Imported Upstream version 0.7
  * Update dependencies to match new upstream ones.
  * Drop all cherry-picked patches: obsoleted by new upstream release.

 -- intrigeri <intrigeri@debian.org>  Sat, 23 Jun 2012 23:32:46 +0200

parcimonie (0.6-3) unstable; urgency=low

  * Cherry-pick patch from upstream Git  (Closes: #665249).
  * Bump debhelper compatibility level to 9.
  * Bump copyright years.

 -- intrigeri <intrigeri@debian.org>  Sun, 08 Apr 2012 12:18:31 +0200

## parcimonie 0.7.1

=== debian/changelog ===
parcimonie (0.7.1-1+deb7u1) wheezy-security; urgency=high

  * Cherry-pick two upstream patches:
    - Sleep a random amount of time if the computed random sleep time
      is too low (CVE-2014-1921, Closes: #738134).
    - Clarify lapse time with large number of keys (Closes: #738004).
    Thanks Holger Levsen <holger@layer-acht.org> for the bug reports!

 -- intrigeri <intrigeri@debian.org>  Sat, 08 Feb 2014 17:21:02 +0100

parcimonie (0.7.1-1) unstable; urgency=low

  * Imported Upstream version 0.7.1, that fixes critical bugs in the applet:
    - Use correct method name to set tooltip on status icon.
      Thanks to Vagrant Cascadian for reporting it. (Closes: #690577)
    - Pass the -1 placeholder for text length when inserting into a TextBuffer.

 -- intrigeri <intrigeri@debian.org>  Sat, 20 Oct 2012 13:01:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: perl
 Priority: optional
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8.0.0)
+Build-Depends: debhelper (>= 9.0.0)
 Build-Depends-Indep:
  gettext,
  libany-moose-perl (>= 0.13),
@@ -14,7 +14,7 @@
  libfile-which-perl (>= 1.08),
  libglib-perl (>= 1.223),
  libgnupg-interface-perl (>= 0.42),
- libgtk2-perl (>= 1.223),
+ libgtk3-perl (>= 0.006-2~),
  liblist-moreutils-perl,
  liblocale-gettext-perl,
  liblwp-online-perl,
@@ -54,7 +54,7 @@
  libfile-which-perl (>= 1.08),
  libglib-perl (>= 1.223),
  libgnupg-interface-perl (>= 0.42),
- libgtk2-perl (>= 1.223),
+ libgtk3-perl (>= 0.006-2~),
  liblist-moreutils-perl,
  liblocale-gettext-perl,
  libmouse-perl (>= 0.82),

=== debian/watch ===
version=3
https://gaffer.ptitcanardnoir.org/intrigeri/files/parcimonie/   ^App-Parcimonie-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## parcimonie 0.8

=== debian/changelog ===
parcimonie (0.8-1) unstable; urgency=medium

  * New upstream release (Closes: #722220):
    - Migrate to Moo, Type::Tiny and MooX::Options, thanks to MooX::late.
    - Use Moo::Role before loading other libraries: exports all methods
      declared after it's used.
    - Adapt syntax to newer Gtk3 bindings, and depend on it.
    - Documentation fixes: fix help urls about HKPS, use pools instead
      of specific keyservers, fix typos.
    - Move from the deprecated CriticTests to Test::Perl::Critic.
    - Use D::Z::P::ChangelogFromGit, rename old Changes, and stop using
      Dist::Zilla's CheckChangeLog.
    - Stop using OurPkgVersion, drop VERSION placeholders.
    - Bump copyright years, don't add copyright info to libraries.
  * Update long description.
  * Draft new debian/changelog entry.
  * Update copyright years in debian/copyright.
  * Update dependencies to match upstream changes.
  * Declare compliance with Standards-Version 3.9.5.
  * Drop obsolete Lintian overrides: these were fixed in Lintian
    two years ago.

 -- intrigeri <intrigeri@debian.org>  Sun, 15 Dec 2013 13:52:26 +0100

=== debian/control ===
Source: parcimonie
Section: perl
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9.0.0)
Build-Depends-Indep:
 gettext,
 libclone-perl (>= 0.31),
 libconfig-general-perl (>= 2.48),
 libfile-homedir-perl (>= 0.86),
 libfile-sharedir-perl (>= 1.00),
 libfile-spec-perl (>= 3.3100),
 libfile-which-perl (>= 1.08),
 libglib-perl (>= 1.223),
 libgnupg-interface-perl (>= 0.42),
 libgtk3-perl (>= 0.011),
 liblist-moreutils-perl,
 liblocale-gettext-perl,
 liblwp-online-perl,
 libmodule-build-perl (>= 0.360700-1~),
 libmoo-perl (>= 1.003001),
 libmoox-late-perl (>= 0.014),
 libmoox-options-perl (>= 3.83),
 libnamespace-autoclean-perl (>= 0.09),
 libnet-dbus-perl (>= 0.33.6),
 libnet-dbus-glib-perl (>= 0.33.0),
 libpango-perl (>= 1.221),
 libpath-class-perl (>= 0.19),
 libtest-most-perl,
 libtest-trap-perl (>= 0.2.1),
 libtie-cache-perl (>= 0.17),
 libtime-duration-parse-perl (>= 0.06),
 libtry-tiny-perl (>= 0.04),
 libtypes-path-tiny-perl (>= 0.005),
 libtype-tiny-perl (>= 0.022),
 pandoc,
 perl (>= 5.10.1),
 perl-modules (>= 5.10.1),
 torsocks,
 xauth,
 xvfb
Maintainer: intrigeri <intrigeri@debian.org>
Homepage: https://gaffer.ptitcanardnoir.org/intrigeri/code/parcimonie/
Vcs-Git: git://gaffer.ptitcanardnoir.org/App-Parcimonie.git

Package: parcimonie
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libclone-perl (>= 0.31),
 libconfig-general-perl (>= 2.48),
 libfile-homedir-perl (>= 0.86),
 libfile-spec-perl (>= 3.3100),
 libfile-which-perl (>= 1.08),
 libglib-perl (>= 1.223),
 libgnupg-interface-perl (>= 0.42),
 libgtk3-perl (>= 0.011),
 liblist-moreutils-perl,
 liblocale-gettext-perl,
 libmoo-perl (>= 1.003001),
 libmoox-late-perl (>= 0.014),
 libmoox-options-perl (>= 3.83),
 libnamespace-autoclean-perl (>= 0.09),
 libnet-dbus-perl (>= 0.33.6),
 libnet-dbus-glib-perl (>= 0.33.0),
 libpango-perl (>= 1.221),
 libpath-class-perl (>= 0.19),
 libtie-cache-perl (>= 0.17),
 libtime-duration-parse-perl (>= 0.06),
 libtry-tiny-perl (>= 0.04),
 libtypes-path-tiny-perl (>= 0.005),
 libtype-tiny-perl (>= 0.022),
 perl (>= 5.10.1),
 perl-modules (>= 5.10.1),
 torsocks
Recommends:
 gnupg-curl,
 tor
Description: privacy-friendly helper to refresh a GnuPG keyring
 parcimonie is a daemon that slowly refreshes a GnuPG public keyring
 from a keyserver.
 .
 Its refreshes one key at a time; between every key update, parcimonie
 sleeps a random amount of time, long enough for the previously used
 Tor circuit to expire.
 .
 This process is meant to make it hard for an attacker to correlate
 the multiple performed key update operations.
 .
 See the included design document to learn more about the threat
 and risk models parcimonie attempts to help coping with.

## parcimonie 0.8.3

=== debian/changelog ===
parcimonie (0.8.3-1) unstable; urgency=medium

  * New upstream release: don't store the results of (up to the) 1000 last
    key fetches anymore.
  * Adjust dependencies accordingly to new upstream release:
    remove {build,runtime}-dependency on libtie-cache-perl.
  * Import upstream public OpenPGP key in debian/upstream/signing-key.asc.
  * Instruct uscan to verify upstream releases' OpenPGP signature.
  * watch: use http:// URL, as upstream's website uses an expired certificate.

 -- intrigeri <intrigeri@debian.org>  Sun, 08 Jun 2014 01:11:11 +0200

parcimonie (0.8.2-1) unstable; urgency=medium

  * New upstream release: do not depend on Moose at all anymore.
  * Adjust {runtime,build}-dependencies for new upstream release:
    replace libnamespace-autoclean-perl with libnamespace-clean-perl.

 -- intrigeri <intrigeri@debian.org>  Fri, 28 Mar 2014 12:43:34 +0100

parcimonie (0.8.1-1) unstable; urgency=medium

  * New upstream release. Most notable changes:
    - Sleep a random amount of time if the computed random sleep time
      is too short (Closes: #738134). Many thanks to Holger Levsen
      <holger@layer-acht.org> for reporting this bug and a few others.
    - Clarify lapse time with large number of keys (Closes: #738004).
    - Various code, documentation and dependencies cleanups.
    - Migrate away from Path::Class to the lighter Path::Tiny.
  * Include gpg and OpenPGP in the package description, to ease finding
    the package with common search terms.
  * Update dependencies wrt. new upstream release:
    - Drop dependencies on libfile-sharedir-perl, libfile-spec-perl
      and libpath-class-perl.
    - Add dependency on libpath-tiny-perl.
  * Clean up build and runtime dependencies:
    - Don't version dependencies that are satisfied in Squeeze.
    - Drop build-dependency on libmodule-build-perl: it's shipped
      by perl itself.
    - Drop dependency on perl: it's taken care of by ${perl:Depends}.
    - Don't version dependencies when no older version was ever uploaded
      to Debian.
    - Simplify versioned build-dependency on debhelper: ">= 9" is enough.

 -- intrigeri <intrigeri@debian.org>  Sun, 09 Feb 2014 19:48:30 +0100

## parcimonie 0.8.4

=== debian/changelog ===
parcimonie (0.8.4-1) unstable; urgency=medium

  * Support encodings that are handled by Encode::XS (Closes: #768174).

 -- intrigeri <intrigeri@debian.org>  Fri, 07 Nov 2014 12:51:29 +0100

=== debian/control ===
Source: parcimonie
Section: perl
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9)
Build-Depends-Indep:
 gettext,
 libclone-perl,
 libconfig-general-perl,
 libfile-homedir-perl,
 libfile-which-perl,
 libglib-perl,
 libgnupg-interface-perl,
 libgtk3-perl (>= 0.011),
 liblist-moreutils-perl,
 liblocale-gettext-perl,
 liblwp-online-perl,
 libmoo-perl (>= 1.003001),
 libmoox-late-perl,
 libmoox-options-perl,
 libnamespace-clean-perl,
 libnet-dbus-perl,
 libnet-dbus-glib-perl,
 libpango-perl,
 libpath-tiny-perl,
 libtest-most-perl,
 libtest-trap-perl,
 libtime-duration-parse-perl,
 libtry-tiny-perl,
 libtypes-path-tiny-perl,
 libtype-tiny-perl,
 pandoc,
 perl,
 perl-modules,
 torsocks,
 xauth,
 xvfb
Maintainer: intrigeri <intrigeri@debian.org>
Homepage: https://gaffer.ptitcanardnoir.org/intrigeri/code/parcimonie/
Vcs-Git: git://gaffer.ptitcanardnoir.org/App-Parcimonie.git

Package: parcimonie
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libclone-perl,
 libconfig-general-perl,
 libfile-homedir-perl,
 libfile-which-perl,
 libglib-perl,
 libgnupg-interface-perl,
 libgtk3-perl (>= 0.011),
 liblist-moreutils-perl,
 liblocale-gettext-perl,
 libmoo-perl (>= 1.003001),
 libmoox-late-perl,
 libmoox-options-perl,
 libnamespace-clean-perl,
 libnet-dbus-perl,
 libnet-dbus-glib-perl,
 libpango-perl,
 libpath-tiny-perl,
 libtime-duration-parse-perl,
 libtry-tiny-perl,
 libtypes-path-tiny-perl,
 libtype-tiny-perl,
 perl-modules,
 torsocks
Recommends:
 gnupg-curl,
 tor
Description: privacy-friendly helper to refresh a GnuPG keyring
 parcimonie is a daemon that slowly refreshes a gpg public keyring
 from a keyserver.
 .
 Its refreshes one OpenPGP key at a time; between every key update,
 parcimonie sleeps a random amount of time, long enough for the
 previously used Tor circuit to expire.
 .
 This process is meant to make it hard for an attacker to correlate
 the multiple performed key update operations.
 .
 See the included design document to learn more about the threat
 and risk models parcimonie attempts to help coping with.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
  http://gaffer.ptitcanardnoir.org/intrigeri/files/parcimonie/   ^App-Parcimonie-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## parcimonie 0.9

=== debian/changelog ===
parcimonie (0.9-3) unstable; urgency=medium

  * Hand over package to pkg-privacy team
  * gbp.conf: switch to the default gbp branch layout.
  * Move source package to the "net" section.
  * Turn libmodule-build-perl from a Build-Depends-Indep to a Build-Depends:
    it's used in the clean target.

 -- intrigeri <intrigeri@debian.org>  Tue, 15 Sep 2015 07:56:53 +0000

parcimonie (0.9-2) unstable; urgency=medium

  * Demote the applet's dependencies to Recommends (Closes: #774529).
  * debian/control: mention the applet in the long description.

 -- intrigeri <intrigeri@debian.org>  Sun, 16 Aug 2015 16:03:13 +0200

parcimonie (0.9-1) unstable; urgency=medium

  * New upstream release:
    - Make D-Bus support opt-in in the daemon, and enable it via
      the .desktop file (Closes: #782443).
    - Record more memory usage information when $ENV{REPORT_MEMORY_USAGE} is set
      to a true value.
    - Use 'any' from List::Util and require a version that provides it.
    - Add sleep duration time to STDOUT when running without D-Bus,
      and to the applet's log.
    - dist.ini:
      · Switch from the deprecated NoTabsTests to Test::NoTabs.
      · Replace the obsolete EOLTests with Test::EOL.
      · Disable PodCoverageTests.
  * Add {build,runtime} dependency on libtime-duration-perl.
  * Depend on perl instead of perl-modules. Spotted by Lintian.
  * Version the dependency on perl to >= 5.20.
  * Update upstream signing key.
  * NEWS.Debian: document the D-Bus related changes and action that may need
    to be taken post-upgrade.

 -- intrigeri <intrigeri@debian.org>  Sun, 16 Aug 2015 11:59:01 +0200

parcimonie (0.8.4-2) unstable; urgency=medium

  * Add libmodule-build-perl to Build-Depends-Indep (Closes: #789638).
  * Declare compliance with Standards-Version 3.9.6.
  * debian/control, debian/copyright: advertise the cleartext HTTP URL
    for the project's upstream homepage. HTTPS is broken there.

 -- intrigeri <intrigeri@debian.org>  Sun, 28 Jun 2015 22:19:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: parcimonie
-Section: perl
+Section: net
 Priority: optional
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), libmodule-build-perl
 Build-Depends-Indep:
  gettext,
  libclone-perl,
@@ -25,19 +25,22 @@
  libpath-tiny-perl,
  libtest-most-perl,
  libtest-trap-perl,
+ libtime-duration-perl,
  libtime-duration-parse-perl,
  libtry-tiny-perl,
  libtypes-path-tiny-perl,
  libtype-tiny-perl,
  pandoc,
- perl,
- perl-modules,
+ perl (>= 5.20),
  torsocks,
  xauth,
  xvfb
-Maintainer: intrigeri <intrigeri@debian.org>
-Homepage: https://gaffer.ptitcanardnoir.org/intrigeri/code/parcimonie/
-Vcs-Git: git://gaffer.ptitcanardnoir.org/App-Parcimonie.git
+Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
+Uploaders: intrigeri <intrigeri@debian.org>
+Homepage: http://gaffer.ptitcanardnoir.org/intrigeri/code/parcimonie/
+Testsuite: autopkgtest-pkg-perl
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/parcimonie.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/parcimonie.git
 
 Package: parcimonie
 Architecture: all
@@ -46,28 +49,29 @@
  libconfig-general-perl,
  libfile-homedir-perl,
  libfile-which-perl,
- libglib-perl,
  libgnupg-interface-perl,
- libgtk3-perl (>= 0.011),
  liblist-moreutils-perl,
- liblocale-gettext-perl,
  libmoo-perl (>= 1.003001),
  libmoox-late-perl,
  libmoox-options-perl,
  libnamespace-clean-perl,
- libnet-dbus-perl,
- libnet-dbus-glib-perl,
- libpango-perl,
  libpath-tiny-perl,
  libtime-duration-parse-perl,
  libtry-tiny-perl,
  libtypes-path-tiny-perl,
  libtype-tiny-perl,
- perl-modules,
+ perl (>= 5.20),
  torsocks
 Recommends:
  gnupg-curl,
- tor
+ libglib-perl,
+ libgtk3-perl (>= 0.011),
+ liblocale-gettext-perl,
+ libnet-dbus-perl,
+ libnet-dbus-glib-perl,
+ libpango-perl,
+ libtime-duration-perl,
+ tor,
 Description: privacy-friendly helper to refresh a GnuPG keyring
  parcimonie is a daemon that slowly refreshes a gpg public keyring
  from a keyserver.
@@ -81,3 +85,6 @@
  .
  See the included design document to learn more about the threat
  and risk models parcimonie attempts to help coping with.
+ .
+ parcimonie also ships a desktop applet that allows one to monitor
+ the background daemon's activities with a graphical user interface.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

parcimonie-torified-gpg.1: parcimonie-torified-gpg.1.markdown
	pandoc --read=markdown --write=man --output=parcimonie-torified-gpg.1 --standalone $<

override_dh_auto_build: parcimonie-torified-gpg.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f parcimonie-torified-gpg.1

override_dh_auto_test:
	xvfb-run -a dh_auto_test

override_dh_auto_install:
	dh_auto_install
	install -D -m 644 $(CURDIR)/share/applications/parcimonie.desktop \
	    $(TMP)/etc/xdg/autostart/parcimonie.desktop
	install -D -m 644 $(CURDIR)/share/applications/parcimonie-applet.desktop \
	    $(TMP)/etc/xdg/autostart/parcimonie-applet.desktop
	rm -rf $(TMP)/usr/share/perl5/auto/
	install --directory $(TMP)/usr/share/locale
	cp -r $(CURDIR)/blib/share/locale/* $(TMP)/usr/share/locale
	chmod -R go+rX $(TMP)/usr/share/locale

## parcimonie 0.10.2

=== debian/changelog ===
parcimonie (0.10.2-1ubuntu4) yakkety; urgency=medium

  * ADT tests fail with missing ~/.gnupg, create it for the automatic adt
    tester.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Sep 2016 14:34:50 +0100

parcimonie (0.10.2-1ubuntu2) yakkety; urgency=medium

  * Create .gnupg in test suite $HOME before running the tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Sep 2016 11:08:11 +0100

parcimonie (0.10.2-1ubuntu1) yakkety; urgency=medium

  * Depend on gnupg and dirmngr.
  * Export a home directory for test suite to use.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Sep 2016 18:41:46 +0100

parcimonie (0.10.2-1) unstable; urgency=medium

  * Move binary package to the "net" section (Closes: #825801).
  * New upstream release:
    - Support the case when using GnuPG 2.x and the keyserver is configured
      in gpg.conf, and not in dirmngr.conf (Closes: #827311).

 -- intrigeri <intrigeri@debian.org>  Thu, 23 Jun 2016 07:54:49 +0000

parcimonie (0.10.1-1) unstable; urgency=medium

  * New upstream release:
    - Add support for GnuPG 2.1+ (Closes: #780628).
    - Allow key updates to existing keys, but do not allow any new keys
      to be imported (Closes: #819305).
    - Record a bit more memory usage information when $REPORT_MEMORY_USAGE
      is set to a true value.
  * Add {build,runtime} dependency on libipc-system-simple-perl,
    matching updated upstream dependencies.
  * Bump copyright years.
  * Declare compliance with Standards-Version 3.9.8 (no change needed).

 -- intrigeri <intrigeri@debian.org>  Sun, 29 May 2016 11:14:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: parcimonie
 Section: net
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libmodule-build-perl
 Build-Depends-Indep:
  gettext,
+ gnupg,
+ dirmngr,
  libclone-perl,
  libconfig-general-perl,
  libfile-homedir-perl,
@@ -12,6 +14,7 @@
  libglib-perl,
  libgnupg-interface-perl,
  libgtk3-perl (>= 0.011),
+ libipc-system-simple-perl,
  liblist-moreutils-perl,
  liblocale-gettext-perl,
  liblwp-online-perl,
@@ -35,7 +38,8 @@
  torsocks,
  xauth,
  xvfb
-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: intrigeri <intrigeri@debian.org>
 Homepage: http://gaffer.ptitcanardnoir.org/intrigeri/code/parcimonie/
 Testsuite: autopkgtest-pkg-perl
@@ -44,12 +48,14 @@
 
 Package: parcimonie
 Architecture: all
+Section: net
 Depends: ${misc:Depends}, ${perl:Depends},
  libclone-perl,
  libconfig-general-perl,
  libfile-homedir-perl,
  libfile-which-perl,
  libgnupg-interface-perl,
+ libipc-system-simple-perl,
  liblist-moreutils-perl,
  libmoo-perl (>= 1.003001),
  libmoox-late-perl,
@@ -61,9 +67,10 @@
  libtypes-path-tiny-perl,
  libtype-tiny-perl,
  perl (>= 5.20),
+ gnupg,
+ dirmngr,
  torsocks
 Recommends:
- gnupg-curl,
  libglib-perl,
  libgtk3-perl (>= 0.011),
  liblocale-gettext-perl,

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,13 @@
 	dh_auto_clean
 	rm -f parcimonie-torified-gpg.1
 
+override_dh_auto_test:export HOME=debian/home
+
 override_dh_auto_test:
+	mkdir -p debian/home
+	gpg1 -k
 	xvfb-run -a dh_auto_test
+	rm -rf debian/home
 
 override_dh_auto_install:
 	dh_auto_install

## parcimonie 0.10.3

=== debian/changelog ===
parcimonie (0.10.3-2) unstable; urgency=medium

  * Team upload
  * debian/control
    * Remove obsolete dependency (gnupg2) (Closes: #883975).
    * Drop repeated `Section: net`.
    * Declare compliance with Debian policy v4.1.2.0.
      No changes required.
  * Use HTTPS URIs for gaffer.ptitcanardnoir.org.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 09 Dec 2017 23:40:24 +0100

parcimonie (0.10.3-1) unstable; urgency=medium

  * Import new upstream release.
  * Drop "Recommends: gnupg-curl": parcimonie will use modern GnuPG
    by default, which does not require gnupg-curl (Closes: #844444).
  * Drop all patches: applied upstream.
  * Bump debhelper compat level to 10, adjust build-dependencies accordingly.
  * Declare compliance with Standards-Version 4.0.0 (no change required).

 -- intrigeri <intrigeri@debian.org>  Tue, 27 Jun 2017 17:03:59 +0000

parcimonie (0.10.2-4) unstable; urgency=medium

  * Add {build,runtime} dependency on gnupg. (Closes: #838281)

 -- intrigeri <intrigeri@debian.org>  Fri, 30 Sep 2016 10:19:39 +0000

parcimonie (0.10.2-3) unstable; urgency=medium

  * Version {build,runtime} dependency on libgnupg-interface-perl
    (Closes: #838281).

 -- intrigeri <intrigeri@debian.org>  Sat, 24 Sep 2016 09:24:32 +0000

parcimonie (0.10.2-2) unstable; urgency=medium

  * Add {build,runtime} dependency on gnupg2, that provides
    the /usr/bin/gpg2 alias (Closes: #836984).
  * Add {build,runtime} dependency on dirmngr, that's needed
    for network operations with GnuPG 2.1+.
  * New patch: honor custom GnuPG homedir in a few places
    that did not so far (Closes: #835774).

 -- intrigeri <intrigeri@debian.org>  Sun, 11 Sep 2016 11:28:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: parcimonie
 Section: net
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), libmodule-build-perl
+Standards-Version: 4.1.2.0
+Build-Depends: debhelper (>= 10), libmodule-build-perl
 Build-Depends-Indep:
+ dirmngr,
  gettext,
  gnupg,
- dirmngr,
  libclone-perl,
  libconfig-general-perl,
  libfile-homedir-perl,
  libfile-which-perl,
  libglib-perl,
- libgnupg-interface-perl,
+ libgnupg-interface-perl (>= 0.52-3),
  libgtk3-perl (>= 0.011),
  libipc-system-simple-perl,
  liblist-moreutils-perl,
@@ -38,23 +38,24 @@
  torsocks,
  xauth,
  xvfb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: intrigeri <intrigeri@debian.org>
-Homepage: http://gaffer.ptitcanardnoir.org/intrigeri/code/parcimonie/
+Homepage: https://gaffer.ptitcanardnoir.org/intrigeri/code/parcimonie/
 Testsuite: autopkgtest-pkg-perl
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/parcimonie.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/parcimonie.git
 
 Package: parcimonie
 Architecture: all
-Section: net
 Depends: ${misc:Depends}, ${perl:Depends},
+ dirmngr,
+ gnupg,
+ gnupg2,
  libclone-perl,
  libconfig-general-perl,
  libfile-homedir-perl,
  libfile-which-perl,
- libgnupg-interface-perl,
+ libgnupg-interface-perl (>= 0.52-3),
  libipc-system-simple-perl,
  liblist-moreutils-perl,
  libmoo-perl (>= 1.003001),
@@ -67,8 +68,6 @@
  libtypes-path-tiny-perl,
  libtype-tiny-perl,
  perl (>= 5.20),
- gnupg,
- dirmngr,
  torsocks
 Recommends:
  libglib-perl,

## parcimonie 0.11.0

=== debian/changelog ===
parcimonie (0.11.0-1) unstable; urgency=medium

  [ Ulrike Uhlig ]
  * Update VCS fields to point to Salsa.

  [ intrigeri ]
  * New upstream releases (0.10.4 and 0.11):
    - Drop support for GnuPG < 2.1.
    - parcimonie-applet is officially deprecated and unsupported upstream.
    - Don't bloat the logs with fingerprints of keys that could not
      be found (Closes: #900388). Also, hide spurious
      "dirmngr:Network:/usr/bin/dirmngr:1:1:" output.
    - Miscellaneous code and test suite improvements.
    - Documentation:
      - Drop information that's been obsolete since GNOME 3.
      - Clarify the status and future of parcimonie-applet.
      - Take into account the default GnuPG configuration in Stretch.
  * Update upstream signing key.
  * Add build and runtime dependencies on libmoox-strictconstructor-perl,
    as required by the new upstream version.
  * Update packaging and dependencies: only GnuPG 2.1+ is now supported.
  * Disable two brittle upstream tests.
  * Migrate existing debian/tests/pkg-perl/skip-smoke to smoke-skip.
  * Make the status of the current applet clear.
  * Declare that debian/rules does not need root.
  * Bump debhelper compatibility level to 11.
  * Declare compliance with Policy 4.1.5.

 -- intrigeri <intrigeri@debian.org>  Mon, 09 Jul 2018 20:43:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: parcimonie
 Section: net
 Priority: optional
-Standards-Version: 4.1.2.0
-Build-Depends: debhelper (>= 10), libmodule-build-perl
+Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 11~), libmodule-build-perl
 Build-Depends-Indep:
  dirmngr,
  gettext,
- gnupg,
+ gnupg (>= 2.1~),
  libclone-perl,
  libconfig-general-perl,
  libfile-homedir-perl,
@@ -21,6 +21,7 @@
  libmoo-perl (>= 1.003001),
  libmoox-late-perl,
  libmoox-options-perl,
+ libmoox-strictconstructor-perl,
  libnamespace-clean-perl,
  libnet-dbus-perl,
  libnet-dbus-glib-perl,
@@ -42,15 +43,15 @@
 Uploaders: intrigeri <intrigeri@debian.org>
 Homepage: https://gaffer.ptitcanardnoir.org/intrigeri/code/parcimonie/
 Testsuite: autopkgtest-pkg-perl
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-privacy/packages/parcimonie.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-privacy/packages/parcimonie.git
+Vcs-Git: https://salsa.debian.org/pkg-privacy-team/parcimonie.git
+Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/parcimonie
+Rules-Requires-Root: no
 
 Package: parcimonie
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
  dirmngr,
- gnupg,
- gnupg2,
+ gnupg (>= 2.1~),
  libclone-perl,
  libconfig-general-perl,
  libfile-homedir-perl,
@@ -61,6 +62,7 @@
  libmoo-perl (>= 1.003001),
  libmoox-late-perl,
  libmoox-options-perl,
+ libmoox-strictconstructor-perl,
  libnamespace-clean-perl,
  libpath-tiny-perl,
  libtime-duration-parse-perl,
@@ -92,5 +94,7 @@
  See the included design document to learn more about the threat
  and risk models parcimonie attempts to help coping with.
  .
- parcimonie also ships a desktop applet that allows one to monitor
- the background daemon's activities with a graphical user interface.
+ parcimonie also ships a deprecated desktop applet that allows one
+ to monitor the background daemon's activities with a graphical
+ user interface. It may or may not work for you, depending on
+ your desktop environment.

=== debian/rules ===
--- 
+++ 
@@ -6,22 +6,13 @@
 %:
 	dh $@
 
-parcimonie-torified-gpg.1: parcimonie-torified-gpg.1.markdown
-	pandoc --read=markdown --write=man --output=parcimonie-torified-gpg.1 --standalone $<
-
-override_dh_auto_build: parcimonie-torified-gpg.1
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f parcimonie-torified-gpg.1
-
-override_dh_auto_test:export HOME=debian/home
-
 override_dh_auto_test:
-	mkdir -p debian/home
-	gpg1 -k
+	# These tests pass on my system and in sbuild but fail in pbuilder
+	# (except when I run dpkg-buildpackage by hand there) and in my
+	# autopkgtest environment so let's call them brittle.
+	rm t/32-keyserver_defined_on_command_line.t
+	rm t/33-checkGpgHasDefinedKeyserver.t
 	xvfb-run -a dh_auto_test
-	rm -rf debian/home
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
  https://gaffer.ptitcanardnoir.org/intrigeri/files/parcimonie/   ^App-Parcimonie-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## parcimonie 0.12.0

=== debian/changelog ===
parcimonie (0.12.0-2) unstable; urgency=medium

  * Remove obsolete /etc/xdg/autostart/parcimonie-applet.desktop conffile.
    Thanks to Paul Wise <pabs@debian.org> for the bug report!
    (Closes: #958524)

 -- intrigeri <intrigeri@debian.org>  Sat, 25 Apr 2020 06:12:59 +0000

parcimonie (0.12.0-1) unstable; urgency=medium

  * New upstream release (0.12.0)
    Notable changes:
    - Remove parcimonie-applet
    - Document history of, and future challenges around,
      user interfaces to parcimonie
    - Fix typos (patch by Jens Reyer <jre.winesim@gmail.com>)
  * Remove README.Debian: it contains only obsolete information
    (Closes: #942728)
  * Update upstream signing key
  * Remove parcimonie-applet packaging bits
  * Update upstream homepage and Git repository URLs
  * Update upstream copyright years
  * Update list of upstream documentation files
  * Close bugs about code/functionality that's not included in this package
    anymore (Closes: #850217, #751210, #799942, #956942, #849016).
  * Add Bug-Database DEP 12 metadata

 -- intrigeri <intrigeri@debian.org>  Tue, 21 Apr 2020 12:36:38 +0000

parcimonie (0.11.0-2) unstable; urgency=medium

  [ intrigeri ]
  * Drop obsolete build-dependency on pandoc.
  * Drop obsolete {build,runtime}-dependency on torsocks.
  * Add debian/.gitlab-ci.yml, that builds the package and
    then runs Lintian and piuparts on it.
  * Fix the Repository upstream metadata field added by the Debian Janitor.
  * Switch to salsa-ci default pipeline.
  * Rename debian/NEWS.Debian to debian/NEWS, so it's actually installed.
  * Consistently use HTTPS URL when pointing to the upstream website.
  * Declare compatibility with Policy 4.5.0.
  * debian/NEWS: use regular paragraphs rather than a bulleted list.
  * debian/control: fix typo, document autostart (Closes: #942731)
    Thanks to Jens Reyer <jre.winesim@gmail.com> for the patch.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Repository.

 -- intrigeri <intrigeri@debian.org>  Sat, 11 Apr 2020 07:53:32 +0000

=== debian/control ===
Source: parcimonie
Section: net
Priority: optional
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 12), libmodule-build-perl
Build-Depends-Indep:
 dirmngr,
 gnupg (>= 2.1~),
 libclone-perl,
 libconfig-general-perl,
 libfile-homedir-perl,
 libfile-which-perl,
 libgnupg-interface-perl (>= 0.52-3),
 libipc-system-simple-perl,
 liblist-moreutils-perl,
 liblwp-online-perl,
 libmoo-perl (>= 1.003001),
 libmoox-late-perl,
 libmoox-options-perl,
 libmoox-strictconstructor-perl,
 libnamespace-clean-perl,
 libnet-dbus-perl,
 libpath-tiny-perl,
 libtest-most-perl,
 libtest-trap-perl,
 libtime-duration-perl,
 libtime-duration-parse-perl,
 libtry-tiny-perl,
 libtypes-path-tiny-perl,
 libtype-tiny-perl,
 perl (>= 5.20),
 xauth,
 xvfb
Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: intrigeri <intrigeri@debian.org>
Homepage: https://salsa.debian.org/intrigeri/parcimonie
Testsuite: autopkgtest-pkg-perl
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/parcimonie.git
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/parcimonie
Rules-Requires-Root: no

Package: parcimonie
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 dirmngr,
 gnupg (>= 2.1~),
 libclone-perl,
 libconfig-general-perl,
 libfile-homedir-perl,
 libfile-which-perl,
 libgnupg-interface-perl (>= 0.52-3),
 libipc-system-simple-perl,
 liblist-moreutils-perl,
 libmoo-perl (>= 1.003001),
 libmoox-late-perl,
 libmoox-options-perl,
 libmoox-strictconstructor-perl,
 libnamespace-clean-perl,
 libpath-tiny-perl,
 libtime-duration-parse-perl,
 libtry-tiny-perl,
 libtypes-path-tiny-perl,
 libtype-tiny-perl,
 perl (>= 5.20)
Recommends:
 libnet-dbus-perl,
 libtime-duration-perl,
 tor,
Description: privacy-friendly helper to refresh a GnuPG keyring
 parcimonie is a daemon that slowly refreshes a gpg public keyring
 from a keyserver.
 .
 It refreshes one OpenPGP key at a time; between every key update
 parcimonie sleeps a random amount of time, long enough for the
 previously used Tor circuit to expire.
 .
 This process is meant to make it hard for an attacker to correlate
 the multiple performed key update operations.
 .
 See the included design document to learn more about the threat
 and risk models parcimonie attempts to help coping with.
 .
 XDG-compliant desktop environments automatically start parcimonie.

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,4 @@
 	dh_auto_install
 	install -D -m 644 $(CURDIR)/share/applications/parcimonie.desktop \
 	    $(TMP)/etc/xdg/autostart/parcimonie.desktop
-	install -D -m 644 $(CURDIR)/share/applications/parcimonie-applet.desktop \
-	    $(TMP)/etc/xdg/autostart/parcimonie-applet.desktop
 	rm -rf $(TMP)/usr/share/perl5/auto/
-	install --directory $(TMP)/usr/share/locale
-	cp -r $(CURDIR)/blib/share/locale/* $(TMP)/usr/share/locale
-	chmod -R go+rX $(TMP)/usr/share/locale

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
  https://gaffer.boum.org/intrigeri/files/parcimonie/   ^App-Parcimonie-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
